<script setup>
import { useThemeStore } from "../../stores/theme";
import { useUserStore } from "../../stores/user";
import ThemeSwitcher from '../../components/shared/ThemeSwitcher.vue'
import Dropdown from '../Dropdown.vue'

const themeStore = useThemeStore();
const userStore = useUserStore();
</script>

<template>
<!--  <aside :class="themeStore.sidebarOpened ? 'hidden' : '', themeStore.leftHanded ? 'order-last' : ''" class="h-full w-30" aria-label="Sidebar">-->
  <aside :class="themeStore.sidebarOpened ? 'hidden' : ''" class="flex h-full w-30 md:items-end" aria-label="Sidebar">
    <div class="flex flex-col justify-end md:justify-between overflow-y-auto py-4 px-3 pb-25 h-[calc(100vh-55px)]" :class="themeStore.dark ? 'bg-gray-800' : 'bg-[#F9FAFB]'">
      <ul class="space-y-2">
        <div v-if="userStore.user.role === 'admin'">
          <li>
            <router-link :to="{name: 'profile'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>
              <span class="ml-3">
              Profil
            </span>
            </router-link>
          </li>
          <li>
            <router-link :to="{name: 'myAds'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>
              <span class="ml-3">
              Mes annonces
            </span>
            </router-link>
          </li>
<!--          <li>-->
<!--            <router-link :to="{name: 'categories'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">-->
<!--              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>-->
<!--              <span class="ml-3">-->
<!--              Mes favoris-->
<!--            </span>-->
<!--            </router-link>-->
<!--          </li>-->
        </div>
        <div v-if="userStore.user.role === 'admin'">
<!--          <li>-->
<!--            <router-link :to="{name: 'dashboard'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">-->
<!--              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>-->
<!--              <span class="ml-3">-->
<!--              Dashboard-->
<!--            </span>-->
<!--            </router-link>-->
<!--          </li>-->
          <li>
            <router-link :to="{name: 'types'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>
              <span class="ml-3">
              Types
            </span>
            </router-link>
          </li>
          <li>
            <router-link :to="{name: 'categories'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>
              <span class="ml-3">
              Catégories
            </span>
            </router-link>
          </li>
          <li>
            <router-link :to="{name: 'status'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"></path><path d="M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"></path></svg>
              <span class="ml-3">
              Statuts
            </span>
            </router-link>
          </li>
<!--          <li>-->
<!--            <router-link :to="{name: 'agencies'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">-->
<!--              <svg class="flex-shrink-0 w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M5 3a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2V5a2 2 0 00-2-2H5zM5 11a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2v-2a2 2 0 00-2-2H5zM11 5a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2V5zM11 13a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2v-2z"></path></svg>-->
<!--              <span class="flex-1 ml-3 whitespace-nowrap">-->
<!--              Agences-->
<!--            </span>-->
<!--              &lt;!&ndash;            <span class="inline-flex justify-center items-center px-2 ml-3 text-sm font-medium text-gray-800 bg-gray-200 rounded-full dark:bg-gray-700 dark:text-gray-300">Pro</span>&ndash;&gt;-->
<!--            </router-link>-->
<!--          </li>-->
          <li>
            <router-link :to="{name: 'ads'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="flex-shrink-0 w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M8.707 7.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l2-2a1 1 0 00-1.414-1.414L11 7.586V3a1 1 0 10-2 0v4.586l-.293-.293z"></path><path d="M3 5a2 2 0 012-2h1a1 1 0 010 2H5v7h2l1 2h4l1-2h2V5h-1a1 1 0 110-2h1a2 2 0 012 2v10a2 2 0 01-2 2H5a2 2 0 01-2-2V5z"></path></svg>
              <span class="flex-1 ml-3 whitespace-nowrap">
              Annonces
            </span>
              <span class="inline-flex justify-center items-center p-3 ml-3 w-3 h-3 text-sm font-medium text-blue-600 bg-blue-200 rounded-full dark:bg-blue-900 dark:text-blue-200">3</span>
            </router-link>
          </li>
          <li>
            <router-link :to="{name: 'roles'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="flex-shrink-0 w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M8.707 7.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l2-2a1 1 0 00-1.414-1.414L11 7.586V3a1 1 0 10-2 0v4.586l-.293-.293z"></path><path d="M3 5a2 2 0 012-2h1a1 1 0 010 2H5v7h2l1 2h4l1-2h2V5h-1a1 1 0 110-2h1a2 2 0 012 2v10a2 2 0 01-2 2H5a2 2 0 01-2-2V5z"></path></svg>
              <span class="flex-1 ml-3 whitespace-nowrap">
              Rôles
            </span>
<!--              <span class="inline-flex justify-center items-center p-3 ml-3 w-3 h-3 text-sm font-medium text-blue-600 bg-blue-200 rounded-full dark:bg-blue-900 dark:text-blue-200">3</span>-->
            </router-link>
          </li>
          <li>
            <router-link :to="{name: 'users'}" class="flex items-center p-2 text-base font-normal rounded-lg" :class="themeStore.dark ? 'text-white hover:bg-gray-700' : 'text-gray-900 hover:bg-gray-100'">
              <svg class="flex-shrink-0 w-6 h-6 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M8.707 7.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l2-2a1 1 0 00-1.414-1.414L11 7.586V3a1 1 0 10-2 0v4.586l-.293-.293z"></path><path d="M3 5a2 2 0 012-2h1a1 1 0 010 2H5v7h2l1 2h4l1-2h2V5h-1a1 1 0 110-2h1a2 2 0 012 2v10a2 2 0 01-2 2H5a2 2 0 01-2-2V5z"></path></svg>
              <span class="flex-1 ml-3 whitespace-nowrap">
              Utilisateurs
            </span>
<!--              <span class="inline-flex justify-center items-center p-3 ml-3 w-3 h-3 text-sm font-medium text-blue-600 bg-blue-200 rounded-full dark:bg-blue-900 dark:text-blue-200">3</span>-->
            </router-link>
          </li>
        </div>

      </ul>
      <ThemeSwitcher/>
    </div>
  </aside>
</template>

<style scoped>
.router-link-active {
  font-weight: bold;
  background-color: #374151;
}
</style>